spec_version = "1.0.0"
canonical_name = "atoms.convergent-systems.co/catalogs/agent-atoms"
version = "0.1.0"
atom_type = "atoms.convergent-systems.co/catalogs"
authored_by = "ed25519:P6+CekZ4v8Y+h4AUvxnVoGc9scE4kwOn3Ee46/3P65Y="
created_at = "2026-05-22T03:40:32.832Z"

[signatures]
"ed25519:P6+CekZ4v8Y+h4AUvxnVoGc9scE4kwOn3Ee46/3P65Y=" = "estFQMua9DAkmVt1OHw9KW0/YUNWJ7gBh5Dp9k1rKlh3dXXzhRiZJzv6vJeRnHnhNs+XpxPNkjeCF/DIy0wDBg=="

[body]
atom_types = ["persona", "tool-definition", "capability-declaration", "role-boundary", "isolation-constraint"]
canonical_domain = "agent-atoms.com"
catalog_name = "agent-atoms"
catalog_version = "0.1.0"
composition_dir = "agents"
composition_type = "agents"
federation = "xdao.co"
github_url = "https://github.com/convergent-systems-co/agent-atoms"
implements_spec = "atoms-spec/v1"
license = "Apache-2.0"
pages_url = "https://agent-atoms.pages.dev"
purpose = "Agent primitives canonicalized — personas, tool definitions, capability declarations, role boundaries, isolation constraints — across LangChain, AutoGen, CrewAI, Olympus and beyond."
rule_types = ["capability-grant", "isolation-rule", "communication-pattern", "supervision-hierarchy"]
runtime_consumers = ["olympus"]
